Name:                takari-plugin-testing
Version:             2.9.2
Release:             2
Summary:             Maven plugin testing library
License:             EPL-1.0 and ASL 2.0
URL:                 http://takari.io/
BuildArch:           noarch
Source0:             https://github.com/takari/takari-plugin-testing-project/archive/takari-plugin-testing-%{version}.tar.gz
Source1:             http://www.eclipse.org/legal/epl-v10.html
Source2:             http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:       maven-local mvn(io.takari.m2e.workspace:org.eclipse.m2e.workspace.cli)
BuildRequires:       mvn(io.takari.maven.plugins:takari-lifecycle-plugin) mvn(io.takari:takari:pom:)
BuildRequires:       mvn(junit:junit) mvn(org.apache.commons:commons-compress)
BuildRequires:       mvn(org.apache.commons:commons-exec)
BuildRequires:       mvn(org.apache.maven:maven-aether-provider)
BuildRequires:       mvn(org.apache.maven:maven-artifact) mvn(org.apache.maven:maven-core)
BuildRequires:       mvn(org.apache.maven:maven-model) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven:maven-settings)
BuildRequires:       mvn(org.apache.maven:maven-settings-builder)
BuildRequires:       mvn(org.codehaus.plexus:plexus-classworlds)
BuildRequires:       mvn(org.codehaus.plexus:plexus-utils) mvn(org.eclipse.aether:aether-api)
BuildRequires:       mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:       mvn(org.sonatype.sisu:sisu-guice::no_aop:)

%description
Small, cohesive, one-stop library for developing unit and integration tests for
Maven plugins. Provides alternative to, and arguably supersedes,
maven-plugin-testing-harness and maven-verifier.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
This package provides %{summary}.

%prep
%setup -q -n %{name}-project-%{name}-%{version}
%pom_disable_module takari-plugin-testing-its
cp %{SOURCE1} %{SOURCE2} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc readme.md
%license epl-v10.html LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license epl-v10.html LICENSE-2.0.txt

%changelog
* Mon May 9 2022 baizhonggui <baizhonggui@h-partners.com> - 2.9.2-2
- modify license identifier

* Fri Aug 14 2020 maminjie <maminjie1@huawei.com> - 2.9.2-1
- package init
